Package org.springframework.security.access.vote

# Class AbstractAclVoter

java.lang.Object
org.springframework.security.access.vote.AbstractAclVoter

All Implemented Interfaces:
  `AccessDecisionVoter<org.aopalliance.intercept.MethodInvocation>`

@Deprecated public abstract class AbstractAclVoter extends Object implements AccessDecisionVoter<org.aopalliance.intercept.MethodInvocation>
Deprecated.
Now used by only-deprecated classes. Generally speaking, in-memory ACL is no longer advised, so no replacement is planned at this point.
Provides helper methods for writing domain object ACL voters. Not bound to any particular ACL system.

## Field Summary

### Fields inherited from interface org.springframework.security.access.AccessDecisionVoter

`ACCESS_ABSTAIN, ACCESS_DENIED, ACCESS_GRANTED`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAclVoter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getDomainObjectInstance(org.aopalliance.intercept.MethodInvocation invocation)`
Deprecated.
`Class<?>`
`getProcessDomainObjectClass()`
Deprecated.
`void`
`setProcessDomainObjectClass(Class<?> processDomainObjectClass)`
Deprecated.
`boolean`
`supports(Class<?> clazz)`
Deprecated.
This implementation supports only `MethodSecurityInterceptor`, because it queries the presented `MethodInvocation`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.access.AccessDecisionVoter

`supports, vote`

## Constructor Details

### AbstractAclVoter

public AbstractAclVoter()
Deprecated.

## Method Details

### getDomainObjectInstance

protected Object getDomainObjectInstance(org.aopalliance.intercept.MethodInvocation invocation)
Deprecated.

### getProcessDomainObjectClass

public Class<?> getProcessDomainObjectClass()
Deprecated.

### setProcessDomainObjectClass

public void setProcessDomainObjectClass(Class<?> processDomainObjectClass)
Deprecated.

### supports

public boolean supports(Class<?> clazz)
Deprecated.
This implementation supports only `MethodSecurityInterceptor`, because it queries the presented `MethodInvocation`.

Specified by:
  `supports` in interface `AccessDecisionVoter<org.aopalliance.intercept.MethodInvocation>`
Parameters:
  `clazz` - the secure object
Returns:
  `true` if the secure object is `MethodInvocation`, `false` otherwise